Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.display.servlets.jsp.taglib
Class DisplayServiceCMTag

    java.lang.Object
      TagSupport
          com.bea.p13n.display.servlets.jsp.taglib.DisplayServiceCMTag

    public class DisplayServiceCMTag

extends TagSupport

This class implements TagSupport. This class basically makes a call to the Display service The service returns the uri of the template based on the parameters like container type Container target, resource name, web application and view. This class in turn uses the uri and inlines the template in the Application jsp.

Field Summary
`static String` | `ERROR_JSP_URI`
`static String` | `PAGECONTEXT_URI`
`static String` | `REQUEST_CONTAINER_TARGET`
`static String` | `REQUEST_RESOURCE_ID`
`static String` | `REQUEST_RESOURCE_NAME`
`static String` | `REQUEST_VIEW`

Constructor Summary
`DisplayServiceCMTag()`

Method Summary
`int` | `doEndTag()` This method is called by the Jsp Container
`int` | `doStartTag()` This method is called by the Jsp Container
`String` | `getContextType()` Get the context type value to use.
`String` | `getRepositoryName()` Gets the target container's name
`String` | `getResourceName()` Gets the name of the resource to render.
`String` | `getView()` Gets the name of the view to request
`void` | `release()` Release/reset this tag.
`void` | `setRepositoryName(String repositoryName)` Sets the name of the target container in order to request the corresponding view.
`void` | `setResourceName(String name)` Sets the resource name in order to request the view.
`void` | `setView(String view)` Sets the name of the view to request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_RESOURCE_NAME

    public static final String REQUEST_RESOURCE_NAME

See Also
  Constants Summary

### REQUEST_RESOURCE_ID

    public static final String REQUEST_RESOURCE_ID

See Also
  Constants Summary

### REQUEST_VIEW

    public static final String REQUEST_VIEW

See Also
  Constants Summary

### REQUEST_CONTAINER_TARGET

    public static final String REQUEST_CONTAINER_TARGET

See Also
  Constants Summary

### PAGECONTEXT_URI

    public static final String PAGECONTEXT_URI

See Also
  Constants Summary

### ERROR_JSP_URI

    public static final String ERROR_JSP_URI

See Also
  Constants Summary

Constructor Detail

### DisplayServiceCMTag

    public DisplayServiceCMTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  This method is called by the Jsp Container

  Returns
    int SKIP_BODY
  Throws
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  This method is called by the Jsp Container

  Returns
    int SKIP_BODY
  Throws
    `JspException`

### release

    public void release()

  Release/reset this tag.

### getResourceName

    public String getResourceName()

  Gets the name of the resource to render.

  Returns
    nodeIs String The name of the resource. For the CM, this is the content type

### setResourceName

    public void setResourceName(String name)

  Sets the resource name in order to request the view.

  Parameters
    `name` - The name of the resource. For the CM, this is the content type

### getRepositoryName

    public String getRepositoryName()

  Gets the target container's name

  Returns
    The name of the container to use

### setRepositoryName

    public void setRepositoryName(String repositoryName)

  Sets the name of the target container in order to request the corresponding view.

  Parameters
    `repositoryName` - The name of the container to use

### getView

    public String getView()

  Gets the name of the view to request

  Returns
    view String name of the view

### setView

    public void setView(String view)

  Sets the name of the view to request

  Parameters
    `view` - String name of the view

### getContextType

    public String getContextType()

  Get the context type value to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved